import lotto.RemoteInterface;
import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

public class LottoClient {
    public static void main(String[] args) {
        try {
    	    for (int i = 1; i <= 90; ++i) {
        	RemoteInterface remoteService = (RemoteInterface)
                      Naming.lookup("rmi://127.0.0.1/Lotto" + i);

        	// Calls remote method.
        	boolean nyert = remoteService.ezNyeroSzamE();

        	if (nyert)    System.out.println(i + " " + nyert);
    	    }

        } catch (NotBoundException ex) {
            System.out.println("Nincsen ilyen nevű távoli metódus.");
        } catch (MalformedURLException ex) {
        } catch (RemoteException ex) {
            System.out.println("Nem sikerült elindítani a távoli metódust.");
        }
    }
}
