package lotto;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.RemoteException;

import java.util.*;

// indítás előtt szükség van az rmiregistry elindítására
// az rmiregistry programot a kódbázis könyvtárában kell elindítani
// jelen esetben a projekt könyvtárán belül ez a build/classes

public class StartRemoteServer {
    public static void main(String[] args) {
        try {
    	    Random r = new Random();
    	    Set<Integer> nyerok = new HashSet<Integer>();
    	    while (nyerok.size() < 5)
    	    {
    		nyerok.add(r.nextInt(90) + 1);
    	    }
        
	    for (int i = 1; i <= 90; ++i) {
		    boolean nyert = nyerok.contains(i);
        	    RemoteInterface service = new RemoteServer(nyert);
        	    Naming.rebind("Lotto" + i, service);
    	    }

            System.out.println("elindult");
        } catch (MalformedURLException ex) {
        } catch (RemoteException ex) {
        }
    }
}